Subject: Re: bug#38007: scroll-lock binding on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Feb 2022 14:44:26 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Juanma Barranquero <[email-masked]>,  [email-masked]
> Date: Mon, 07 Feb 2022 04:58:27 +0100
> 
> > The former, with a comment about the (evidently unknown) source of the
> > Scroll_Lock "function key".
> 
> I've now done the former in Emacs 29, but I don't quite understand why
> the Scroll_Lock event needs a comment -- it's just a normal X keyboard
> event, I think?

Did you succeed in figuring out where does the "Scroll_Lock" text come
from?  It isn't in lispy_function_keys[] array.  On MS-Windows,
"scroll" does come from that array.  That's what I meant by that
remark.